"use strict";

require('./FlowTableInfo.less');

var React = require('react');

module.exports = React.createClass({
  displayName: "exports",
  getInitialState: function getInitialState() {
    return {};
  },
  __renderPrimary: function __renderPrimary(table, data) {
    var _value = data[0];
    return /*#__PURE__*/React.createElement("div", {
      className: "table"
    }, /*#__PURE__*/React.createElement("ul", {
      className: "values"
    }, table.fields.map(function (item, index) {
      if (item.title && _value[item.name]) {
        return /*#__PURE__*/React.createElement("li", null, /*#__PURE__*/React.createElement("span", {
          className: "key"
        }, item.title, "\uFF1A"), /*#__PURE__*/React.createElement("span", {
          className: "value"
        }, _value[item.name]));
      }
    })));
  },
  __renderDeputy: function __renderDeputy(table, data) {
    return !!data.length ? /*#__PURE__*/React.createElement(zn.react.Group, {
      title: table.zn_title + " 共" + data.length + "条",
      className: "table"
    }, /*#__PURE__*/React.createElement("ul", {
      className: "table-row header"
    }, table.fields.map(function (item, index) {
      if (item.width) {
        return /*#__PURE__*/React.createElement("li", {
          style: {
            width: item.width
          }
        }, /*#__PURE__*/React.createElement("span", null, item.title));
      }
    })), data.map(function (item, index) {
      return /*#__PURE__*/React.createElement("ul", {
        className: "table-row item"
      }, table.fields.map(function (field, index) {
        if (field.width) {
          return /*#__PURE__*/React.createElement("li", {
            style: {
              width: field.width
            },
            "data-tooltip": item[field.name]
          }, /*#__PURE__*/React.createElement("span", null, item[field.name]));
        }
      }));
    })) : null;
  },
  render: function render() {
    return /*#__PURE__*/React.createElement("div", {
      className: "zn-plugin-workflow-instance-flow-table-info zn-plugin-workflow-panel"
    }, /*#__PURE__*/React.createElement("div", {
      className: "title"
    }, "\u5355\u636E\u8868\u5355"), /*#__PURE__*/React.createElement("div", {
      className: "content"
    }, this.props.fields.map(function (field, index) {
      return field.primary ? this.__renderPrimary(field, zn.is(this.props.data[0], "array") ? this.props.data[index] : this.props.data) : this.__renderDeputy(field, this.props.data[index]);
    }.bind(this))));
  }
});